Bug 182190 - TK-devel should have tcl-devel as dependency
TK-devel should have tcl-devel as dependency
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tk (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2006-02-20 17:31 EST by Craig Miskell
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-28 13:12:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Craig Miskell 2006-02-20 17:31:02 EST
Description of problem:
tk-devel package is not specified as requiring tcl-devel.  tcl-devel is 
absolutely required to be able to compile anything tk related (the headers 
require it)

Version-Release number of selected component (if applicable):

How reproducible:
Only once so far - haven't had time/place to try again, but see no reason why 
it wouldn't be reproducible

Steps to Reproduce:
1.On a box without tcl-devel, install tk-devel.  tcl and tk will be added if 
not already installed, but tcl-devel will not. 
2.Include tk.h in a c file and try to compile it.
Actual results:
output of at least:
/usr/include/tk.h:68:20: tcl.h: No such file or directory
followed by lots of errors due to lack of tcl definitions

Expected results:
Successful compilation

Additional info:
Comment 1 David Cantrell 2006-02-28 13:12:54 EST
tk-devel depends on tcl-devel in rawhide, so this problem will be corrected in
the next major release of RHEL.  If you need a fix incorporated in to a RHEL
update, please contact your support representative.

Note You need to log in before you can comment on or make changes to this bug.